Ad

Thursday, August 21, 2014

Floor Hatch Blues

Do you have to show a solid floor width on your structures in profile view? Well if you do, this is imageone way to accomplish the feat.

Unfortunately Civil 3D sucks as a BIM product, so we are going to have to do a work around in order to get this to work. The first step is to create a hatch, or hatches, representing the floor of the structures we have to show. Once we have this we can then create blocks for each one, making sure to give them a adequate name. Next create a label for each size having the hatch as it’s component. Make sure to rotate the block so it points up. Now adjust the attachment point for the structure labels to the bottom of the structure.

If you live in the real world, and not some fantasy world of Autodesk’s developers, user interface designers and the like, then you will probably have requirements to place labels at the top, middle, and/or bottom of the structure in one plan set. I know crazy thing we plan producing people have been doing for decades is beyond the comprehension of people who don’t put together plans. For this label you will want to anchor to the bottom of the structure. You do this by going into Toolspace, Settings, and adjusting the attachment point for the structure. Once you add the labels make sure you go back and adjust it to the correct location on the structure for your other labels. You’ll be glad to know that changing the color of the user interface to dark is more important then making it easier to change the location of the structure labels.

Here is a file showing it in action.

Monday, August 18, 2014

Corridor Excavations–Material Types

Sometimes when we do project we have soil types that require different quantities to get an actual price. We may have sand, rock, or other materials we need to keep track of. One way to do this is to create a surface for each type of material. If we have a corridor we can then analyze the corridor excavations by using the Compute Materials tool.

We can use the Import another criteria tab to bring in other criteria then the original cut fill values. Using the define material section we can add surfaces and then limit how the surfaces are analyzed.

image

Once you have it set up, it should look something like this.

image

Here is a sample file: http://1drv.ms/1uMigOc

Thursday, August 14, 2014

Creating a button in the CUI to Open a PDF

I occasionally write programs for customers that necessitate the creation of a CUI so they may press a button to either run the command or open a help file. In this post I’ll cover creating a button in the CUI to open a fictitious help file as a PDF.

The first step is to type CUI at the command line to open the Customize User Interface.

Next select the partial cui file you want to add the command to, in this case I’m going to modify the C3DRPointToSnap cui to add a help file button to a PDF file.

image

Now we need to create a command for the help file. This is done by selecting the star with starburst in the command list section.

image

Once you do this the right side of the dialog box will show information for the newly created command after you select it. After it comes up fill in the appropriate information for your command.

image

Once you have what you want it to be enter in the Macro command. The ^C^C is the escape command twice to make sure any running commands are ended before this command should run. In my macro it is:

^C^C(command "_start" "C:/Progra~1/MWHGlo~1/APC3DU~1/MWHAPC~1.PDF")

The command now looks something like this:

image

Now I need to add the command to the ribbon. The first step is to create a new panel since I want this help file to be in one. If you already have a panel you can just add the command to it and bypass this step. To create a panel right click on the Panels branch and choose new Panel…

image

This will create a new panel, next drag the command from the bottom of the screen into the newly created panel after giving it a catchy name. I’m adding mine to Row 1. Next on the the right when you select the command in the Row 1 you can set the button style, I’m going with Large with Text (Vertical).

image

My last step is to add the panel to the ribbon tab. You can do this by dragging the panel up into the appropriate tab.

image

Now save the CUI (press the save button next to the cui name) and hit the OK button. It should then show up in the ribbon.

Tuesday, August 05, 2014

Dead Jobs and Exploded Points

Sometimes dead jobs come back to life. The CAD files aren’t always pretty and sometimes the source data doesn’t exist. One way to bring back exploded points is listed below.

In this case all of the points where exploded into two small lines representing an X. In order to get Civil 3D points from it I started with this Lisp from CAD Studio. This placed AutoCAD blocks at each of the intersection points. Plus the cost was the right price at free.

Next I utilized the Create Points from AutoCAD Points command in Civil 3D.

image

Make sure to set the point creation to automatically add a default description.

Then type in the point numbers to each point to replace the value in the text. Just kidding, do an internet search for lisp commands and come up with something like this:

(defun c:chgPtNum (/ doc ss obj newPtNum oldPtNum ent objmtext stroldval)
(vl-load-com)
(setq doc (vla-get-activedocument (vlax-get-acad-object)))
(vla-startundomark doc)
(while (setq ss (ssget ":S" '((0 . "AECC_COGO_POINT"))))
(setq obj (vlax-ename->vla-object (ssname ss 0)))
(setq ent (car (entsel "\nPick mText with Pt Num:")) objMText
(vlax-ename->vla-object ent) strOldval (vlax-get-property objMText "TEXTSTRING"))
(vlax-put obj '
number (atoi stroldval))
(acet-ss-visible ss 1)
)
(vla-endundomark doc)
(princ)
)



Then go around and select points and mtext and it will revise the point number to match that of the mText. I’m sure this could be automated further, but since it is a one off task this will work for my purposes. There might even be a third party app that has done the programming, I wasn’t able to find it though.

Surveying in the Stone Age

Don’t you hate when you try to find something on the internet and can’t find the data? I do.

I hope to correct this deficiency with this blog post. My problem is trying to convert a cr5 file to text and then from text to cr5. For those of you who don’t know, cr5 is an old file format created by TDS. TDS used to be owned by HP, but was sold to Trimble a long time ago. The cr5 file format was at one time the default format utilized by the TDS data collectors. A while later they wrote their software to utilize a job file format and a fbk format. This was many moons ago. Since it was many moons ago, and a company ago, the cr5 file isn’t well supported. If you want to use the originally provided Survey Link program you need a dongle to run it and I’ve also heard rumors the dongle doesn’t like any Windows operating system after XP.

So what is one to do today? Utilize the hidden Survey Link that comes with Civil 3D of course! Of course you are probably thinking to your self, I checked out the ribbon and couldn’t find the a command that sounded like it would do the task. Well I couldn’t find it either. The solution is to type STARTSURVEYLINK at the command line. This will open up Survey Link. If it doesn’t happen to be installed you can find a link here. When opening through Civil 3D it does not require a dongle and will work as normal.

Also if you have moved from the stone age to the bronze age of computing don’t forget about the download to Trimble Link that will allow your data collector to interact directly with Civil 3D.

Civil 3D 2015: http://ww2.trimble.com/link_ts.asp?Nav=Collection-63438

Other Releases: http://ww2.trimble.com/link_ts.asp?Nav=Collection-63439

LinkWithin

Blog Widget by LinkWithin

Ad